import type { NextConfig } from "next";

const nextConfig: NextConfig = {
  /* config options here */
  webpack: (config, { isServer }) => {
    if (!isServer) {
      config.module.rules.push({
        test: /kokoro-worker\.js$/,
        use: { loader: "worker-loader" },
      });
    }

    config.module.rules.push({
      test: /\.js$/,
      loader: "@open-wc/webpack-import-meta-loader",
    });
    return config;
  },
};

export default nextConfig;
